import { DocumentInitParameters, PDFDataRangeTransport } from 'pdfjs-dist/types/src/display/api';
import { ExtractPropTypes } from 'vue';
export declare const props: {
    /**
     * The source of the pdf. Accepts the following types `string | URL | Uint8Array | PDFDataRangeTransport | DocumentInitParameters`
     */
    src: {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    };
    /**
     * The page number of the pdf to display.
     */
    page: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Whether to display all pages, dangerous!!
     */
    allPages: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The scale (zoom) of the pdf. Setting this will also disable auto scaling and resizing.
     */
    scale: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * page wrapper id prefix
     */
    wrapperIdPrefix: {
        type: StringConstructor;
        default: string;
    };
};
export declare type VuePdfPropsType = ExtractPropTypes<typeof props> & {
    src: string | URL | Uint8Array | PDFDataRangeTransport | DocumentInitParameters;
};
